local pal = require('configs.colors').pallete

local function make_override(icon, color, name)
  local col = pal[color] or color
  return {
    icon = icon,
    color = col[1] or col,
    cterm_color = col[2] or col,
    name = name,
  }
end

return {
  'nvim-tree/nvim-web-devicons',
  opts = {
    override = {
      xml = make_override('󰗀', 'orange', 'XML'),
      bash = make_override('', 'green', 'Bash'),
      sh = make_override('󱆃', 'green', 'Sh'),
    },
  },
}
